package com.dxhy.core.job.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")

@TableName("t_dx_vehicle_sale_invoice")
@Data
public class TDxVehicleSaleInvoice implements Serializable {
    @TableId
    private Long id;

    private String uuid;

    private String buyerIdNum;

    private String vehicleType;

    private String factoryModel;

    private String productPlace;

    private String certificate;

    private String certificateImport;

    private String inspectionNum;

    private String engineNo;

    private String vehicleNo;

    private String phone;

    private String buyerBank;

    private String taxRate;

    private String taxBureauName;

    private String taxBureauCode;

    private String taxRecords;

    private String limitPeople;

    private String checkStatus;

    private String tonnage;

    private Date createDate;

    private String plateNo;
    private String registrationNo;
    private String vehicleAdminOffice;
    private String auctionUnit;
    private String auctionAddress;
    private String auctionTaxNo;
    private String auctionBank;
    private String auctionPhone;
    private String carMarket;
    private String carMarketTaxNo;
    private String carMarketAddress;
    private String carMarketBank;
    private String carMarketPhone;

    private String gfPhone;

    //新增二手车信息
    //车价合计
    private String carPrice;
    //买方单位 /个人
    private String buyerUnit;
    //买方单位代码 /身份证号
    private String buyerUnitCode;
    //买方单位 /个人住址
    private String buyerUnitAddress;
    //买方电话
    private String buyerPhone;
    //卖方单位/个人
    private String sellerUnit;

    public String getCarPrice() {
        return carPrice;
    }

    public void setCarPrice(String carPrice) {
        this.carPrice = carPrice;
    }
    //卖方单位代码/身份证
    private String sellerUnitCode;
    //卖方单位/个人住址
    private String sellerUnitAddress;
    //卖方电话
    private String sellerPhone;



    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid == null ? null : uuid.trim();
    }

    public String getBuyerIdNum() {
        return buyerIdNum;
    }

    public void setBuyerIdNum(String buyerIdNum) {
        this.buyerIdNum = buyerIdNum == null ? null : buyerIdNum.trim();
    }

    public String getVehicleType() {
        return vehicleType;
    }

    public void setVehicleType(String vehicleType) {
        this.vehicleType = vehicleType == null ? null : vehicleType.trim();
    }
    public String getFactoryModel() {
        return factoryModel;
    }

    public void setFactoryModel(String factoryModel) {
        this.factoryModel = factoryModel == null ? null : factoryModel.trim();
    }

    public String getProductPlace() {
        return productPlace;
    }

    public void setProductPlace(String productPlace) {
        this.productPlace = productPlace == null ? null : productPlace.trim();
    }

    public String getCertificate() {
        return certificate;
    }

    public void setCertificate(String certificate) {
        this.certificate = certificate == null ? null : certificate.trim();
    }

    public String getCertificateImport() {
        return certificateImport;
    }

    public void setCertificateImport(String certificateImport) {
        this.certificateImport = certificateImport == null ? null : certificateImport.trim();
    }

    public String getInspectionNum() {
        return inspectionNum;
    }

    public void setInspectionNum(String inspectionNum) {
        this.inspectionNum = inspectionNum == null ? null : inspectionNum.trim();
    }

    public String getEngineNo() {
        return engineNo;
    }

    public void setEngineNo(String engineNo) {
        this.engineNo = engineNo == null ? null : engineNo.trim();
    }

    public String getVehicleNo() {
        return vehicleNo;
    }

    public void setVehicleNo(String vehicleNo) {
        this.vehicleNo = vehicleNo == null ? null : vehicleNo.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getBuyerBank() {
        return buyerBank;
    }

    public void setBuyerBank(String buyerBank) {
        this.buyerBank = buyerBank == null ? null : buyerBank.trim();
    }

    public String getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate == null ? null : taxRate.trim();
    }

    public String getTaxBureauName() {
        return taxBureauName;
    }

    public void setTaxBureauName(String taxBureauName) {
        this.taxBureauName = taxBureauName == null ? null : taxBureauName.trim();
    }

    public String getTaxBureauCode() {
        return taxBureauCode;
    }

    public void setTaxBureauCode(String taxBureauCode) {
        this.taxBureauCode = taxBureauCode == null ? null : taxBureauCode.trim();
    }

    public String getTaxRecords() {
        return taxRecords;
    }

    public void setTaxRecords(String taxRecords) {
        this.taxRecords = taxRecords == null ? null : taxRecords.trim();
    }

    public String getLimitPeople() {
        return limitPeople;
    }

    public void setLimitPeople(String limitPeople) {
        this.limitPeople = limitPeople == null ? null : limitPeople.trim();
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus == null ? null : checkStatus.trim();
    }

    public String getTonnage() {
        return tonnage;
    }

    public void setTonnage(String tonnage) {
        this.tonnage = tonnage == null ? null : tonnage.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getPlateNo() {
        return plateNo;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo;
    }

    public String getRegistrationNo() {
        return registrationNo;
    }

    public void setRegistrationNo(String registrationNo) {
        this.registrationNo = registrationNo;
    }

    public String getVehicleAdminOffice() {
        return vehicleAdminOffice;
    }

    public void setVehicleAdminOffice(String vehicleAdminOffice) {
        this.vehicleAdminOffice = vehicleAdminOffice;
    }

    public String getAuctionUnit() {
        return auctionUnit;
    }

    public String getGfPhone() {
        return gfPhone;
    }

    public void setGfPhone(String gfPhone) {
        this.gfPhone = gfPhone;
    }

    public String getBuyerUnit() {
        return buyerUnit;
    }

    public void setBuyerUnit(String buyerUnit) {
        this.buyerUnit = buyerUnit;
    }

    public String getBuyerUnitCode() {
        return buyerUnitCode;
    }

    public void setBuyerUnitCode(String buyerUnitCode) {
        this.buyerUnitCode = buyerUnitCode;
    }

    public String getBuyerUnitAddress() {
        return buyerUnitAddress;
    }

    public void setBuyerUnitAddress(String buyerUnitAddress) {
        this.buyerUnitAddress = buyerUnitAddress;
    }

    public String getBuyerPhone() {
        return buyerPhone;
    }

    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }

    public String getSellerUnit() {
        return sellerUnit;
    }

    public void setSellerUnit(String sellerUnit) {
        this.sellerUnit = sellerUnit;
    }

    public String getSellerUnitCode() {
        return sellerUnitCode;
    }

    public void setSellerUnitCode(String sellerUnitCode) {
        this.sellerUnitCode = sellerUnitCode;
    }

    public String getSellerUnitAddress() {
        return sellerUnitAddress;
    }

    public void setSellerUnitAddress(String sellerUnitAddress) {
        this.sellerUnitAddress = sellerUnitAddress;
    }

    public String getSellerPhone() {
        return sellerPhone;
    }

    public void setSellerPhone(String sellerPhone) {
        this.sellerPhone = sellerPhone;
    }

    public void setAuctionUnit(String auctionUnit) {
        this.auctionUnit = auctionUnit;
    }

    public String getAuctionAddress() {
        return auctionAddress;
    }

    public void setAuctionAddress(String auctionAddress) {
        this.auctionAddress = auctionAddress;
    }

    public String getAuctionTaxNo() {
        return auctionTaxNo;
    }

    public void setAuctionTaxNo(String auctionTaxNo) {
        this.auctionTaxNo = auctionTaxNo;
    }

    public String getAuctionBank() {
        return auctionBank;
    }

    public void setAuctionBank(String auctionBank) {
        this.auctionBank = auctionBank;
    }

    public String getAuctionPhone() {
        return auctionPhone;
    }

    public void setAuctionPhone(String auctionPhone) {
        this.auctionPhone = auctionPhone;
    }

    public String getCarMarket() {
        return carMarket;
    }

    public void setCarMarket(String carMarket) {
        this.carMarket = carMarket;
    }

    public String getCarMarketTaxNo() {
        return carMarketTaxNo;
    }

    public void setCarMarketTaxNo(String carMarketTaxNo) {
        this.carMarketTaxNo = carMarketTaxNo;
    }

    public String getCarMarketAddress() {
        return carMarketAddress;
    }

    public void setCarMarketAddress(String carMarketAddress) {
        this.carMarketAddress = carMarketAddress;
    }

    public String getCarMarketBank() {
        return carMarketBank;
    }

    public void setCarMarketBank(String carMarketBank) {
        this.carMarketBank = carMarketBank;
    }

    public String getCarMarketPhone() {
        return carMarketPhone;
    }

    public void setCarMarketPhone(String carMarketPhone) {
        this.carMarketPhone = carMarketPhone;
    }

}
